﻿@using CareerDayWCFWebService
@{
    ViewData["Title"] = "Saved Companies";
}

<div class="row page-header" @*style="color: white"*@>

    <!--Display the title of the page-->
    <div class="row">
        <div class="col-sm-12">
            <h2 style="text-align: center">@ViewData["Title"]</h2>
        </div>
    </div>
    <div class="row">
		<div class="col-sm-12">
			<p>*Here you can review your list of saved companies, add notes for each company to review later, and download your notes*</p>
			<p><strong>*Company listings are subject to change*</strong></p>
			@if (ViewBag.showDataWipe)
			{
				<p style="color: red;">For this career day, the database will no longer be available as of <strong>@ViewBag.wipeDate</strong>. If you want to keep your saved companies, download your notes at the bottom of page.</p>
			}
			@if (ViewBag.showWiped)
			{
				<h3><strong style="color:black">Company data is currently unavailable and any saved companies have been wiped.</strong></h3>
			}
		</div>
    </div>
</div>

<div class="white-background" style="padding-top: 1%">
    <!--Remove all companies button-->
    @if (ViewBag.saved.Count != 0)
    {
        <div class="row" style="padding: 5px;">
            <form action="SavedCompanies" method="get" style="text-align:center">
                <button>Unsave All Companies</button>
                <input name="name" id="remove" type="hidden" value="All">
            </form>
        </div>

        <hr />
    }

    <!--Displays the list of saved companies-->
    @foreach (Company c in ViewBag.saved)
    {
        if (c.orgName.ToLower().Contains("cctest") || c.orgName.ToLower().Contains("cccancel"))
        {
            Response.Redirect(("~/Home/SavedCompanies?name=" + c.orgName).Replace(" ", "%20"));
        }
        <div class="row alternate-color">
            <div class="col-sm-2">
                <h4><strong><a style="color: #D2492A" href="~/Home/Company?id=@c.orgID&saved=true">@c.orgName</a></strong></h4>
                <strong>Booth: <a style="color: #D2492A" href="~/Home/Map?id=@c.orgID&boothNum=@c.orgBoothNo">@c.orgBoothNo</a></strong>
                <form action="SavedCompanies" method="post">
                    <button style="margin-top: 10px;">Unsave Company</button>
                    <input name="name" id="remove" type="hidden" value="@c.orgName">
                </form>
                @*<button type="submit" name="name" id="name" onclick="location.href='SavedCompanies?name=@Server.UrlEncode(c.orgName)'">Remove</button>*@
            </div>
            <div class="col-sm-10" style="padding-top: 5px;">
                <form action="SavedCompanies" method="POST">
                    <label for="notes">Notes:</label>
                    <br />
                    @if (ViewBag.notes.ContainsKey(c.orgName))
                    {
                        <textarea name="notes" class="textbox" placeholder="Type your notes here...">@ViewBag.notes[c.orgName]</textarea>
                    }
                    else
                    {
                        <textarea name="notes" class="textbox" placeholder="Type your notes here..."></textarea>
                    }
                    <br />
                    <input name="save" type="submit" value="Save">
                    <input type="hidden" name="name" value="@c.orgName" />
                </form>
            </div>
        </div>

    }

    <!--If no saved companies, display a message about how to use-->
    <div class="row" style="text-align: center; padding-top: 1%">
        @if (ViewBag.saved.Count == 0)
        {
            <p>
                You do not have any saved companies yet. To save a company, visit that company's page in the Companies tab and click the "save" button.
            </p>
        }
    </div>

    <div class="row" style="padding: 15px;">
        @if (ViewBag.saved.Count != 0)
        {
            <form action="SavedCompanies" method="post" style="text-align:center">
                <input class="download" name="download" type="submit" value="Download Your Notes" onclick="notify()" />
            </form>
        }
    </div>

    <hr />

    <p style="text-align: center; margin:2%;"><strong>Note: </strong>Your saved companies are saved to <a href="~/Home/Cookies" style="color: #D2492A;">cookies</a> on your device. If you switch to a different device, you will not be able to view your saved companies.</p>
    <br />

</div>

<script>
    /***
     * Summary. Function to show alert about how notes are saving. This is called when the save button is clicked.
     * 
     * return {void}
     */
    function notify() {
        alert("Your notes will be saved to your Downloads folder as \"Saved_Company_Notes.txt\".");
    }
</script>